[Rubygems-developers] update to 0.9.0

Hugh Sasse hgs at dmu.ac.uk
Thu Sep 14 13:04:37 EDT 2006


I was on rubygems 0.8.11, and have tried to update. It claims I was
successful, but I can't update anything now.

brains# gem update RedCloth
Updating installed gems...
Attempting remote update of RedCloth
ERROR:  While executing gem ... (Gem::GemNotFoundException)
    Could not find RedCloth (> 0) in the repository
brains#

gem list --local gives:

impleSearch (0.5.0)
    SimpleSearch is a simple vector space text search engine.

among others, but

brains# gem update SimpleSearch
Updating installed gems...
Attempting remote update of SimpleSearch
ERROR:  While executing gem ... (Gem::GemNotFoundException)
    Could not find SimpleSearch (> 0) in the repository
brains#

What's going on?  Googling for Gem::GemNotFoundException turns up 
http://rubygems.rubyforge.org/rdoc/classes/Gem/GemNotFoundException.html
and that's it.

I'm on Sun, sparc, Solaris, Ruby 1.8.5

ruby 1.8.5 (2006-08-25) [sparc-solaris2.9]

        Thank you
        Hugh


More information about the Rubygems-developers mailing list